Bug 101973 - Update port: www/rubygem-rails (and related) to 1.1.6
Summary: Update port: www/rubygem-rails (and related) to 1.1.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-13 13:20 UTC by Rui Lopes
Modified: 2006-08-23 03:30 UTC (History)
1 user (show)

See Also:


Attachments
update_rails.patch (28.74 KB, patch)
2006-08-13 13:20 UTC, Rui Lopes
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rui Lopes 2006-08-13 13:20:15 UTC
* Update rails and its related ports to match rails 1.1.6:

    activesupport    = 1.3.1
    activerecord     = 1.14.4
    actionpack       = 1.12.5
    actionmailer     = 1.2.5
    actionwebservice = 1.1.6
    rails            = 1.1.6

  This update is needed to fix a serious bug in rails, see:

    http://weblog.rubyonrails.org/2006/8/10/rails-1-1-6-backports-and-full-disclosure
    http://www.vuxml.org/freebsd/90064567-28b1-11db-844d-000c6ec775d9.html


* Add a x-generate-plist target to easy the creation of pkg-plist, it
  can be used like:

  cd port
  export ROOT=$PWD/ROOT ; mkdir -p $ROOT/lib/ruby/gems/1.8
  make PREFIX=$ROOT install x-generate-plist
  diff -u pkg-plist temp-pkg-plist
  mv temp-pkg-plist pkg-plist
  make PREFIX=$ROOT deinstall # ignore any error
  make PREFIX=$ROOT install
  make PREFIX=$ROOT deinstall # make sure it gives no errors
                              # (except bin/* binary removal, it will
                              #  work fine without PREFIX ;)
  find $ROOT -type f          # make sure it gives no output (bin/*
                              # lines are fine, it will work fine
                              # without PREFIX ;)
  rm -rf ROOT/ work/
  # do the normal port package test without PREFIX


* Add an "WWW" entry on pkg-descr that points to the correspoding
  project on rubyforge.
Comment 1 Edwin Groothuis freebsd_committer 2006-08-13 13:20:24 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Jonathan Weiss 2006-08-14 22:04:33 UTC
The patch works for me.

Thanks Ruy for the patch!

Jonathan

Edwin Groothuis wrote:
> Maintainer of www/rubygem-rails,
> 
> Please note that PR ports/101973 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/101973
> 


-- 
Jonathan Weiss
http://blog.innerewut.de
Comment 3 Cheng-Lung Sung freebsd_committer 2006-08-18 01:43:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 4 Cheng-Lung Sung freebsd_committer 2006-08-23 03:30:57 UTC
State Changed
From-To: feedback->closed

Committed. Thank You.